<?php
/**
 * ThunderSnarf
 *
 * @author Ricardo H.F. Sette P. <ricardohfsp@gmail.com>
 * @link http://www.freebsdbrasil.com.br/
 * @copyright Copyright &copy; 2010 - FreeBSD Brasil LTDA
 * @license licença GNU/GPL v2.0 http://www.gnu.org/licenses/gpl-2.0.html
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="language" content="<?php echo Yii::app()->language;?>" />
	<meta name="Author" content="Ricardo H.F. Sette P. ricardohfsp@gmail.com" />
	<meta name="COPYRIGHT" content="Copyright &copy; 2010 - FreeBSD Brasil LTDA" />
	<meta name="DESCRIPTION" CONTENT="O Thunder Snarf é um software de relatório web para o Thunder Cache Professional cujo principal objetivo é oferecer uma visão estratégica de como e o quê o Thunder está fazendo Cache, gerando valor agregado no apoio a decisão sobre como melhorar a eficiência geral da aceleração web oferecida pelo Thunder." />

	<!-- blueprint CSS framework -->
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/screen.css" media="screen, projection" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/print.css" media="print" />
	<!--[if lt IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/ie.css" media="screen, projection" />
	<![endif]-->

	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/main.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/form.css" />

	<title><?php echo CHtml::encode($this->pageTitle); ?></title>
</head>
<!--[if IE]>
	<div style='border: 1px solid #F7941D; background: #FEEFDA; text-align: center; clear: both; height: 75px; position: relative;'>
		<div style='position: absolute; right: 3px; top: 3px; font-family: courier new; font-weight: bold;'>
			<a href='#' onclick='javascript:this.parentNode.parentNode.style.display="none"; return false;'>
				<img src='<?php echo Yii::app()->request->baseUrl; ?>/images/ie6nomore-cornerx.jpg' style='border: none;' alt='Fechar este alerta.'/>
			</a>
		</div>
		<div style='width: 640px; margin: 0 auto; text-align: left; padding: 0; overflow: hidden; color: black;'>
			<div style='width: 75px; float: left;'>
				<img src='<?php echo Yii::app()->request->baseUrl; ?>/images/ie6nomore-warning.jpg' alt='AVISO!'/>
			</div>
			<div style='width: 275px; float: left; font-family: Arial, sans-serif;'>
				<div style='font-size: 14px; font-weight: bold; margin-top: 12px;'>
					Você está usando um navegador incompatível
				</div>
				<div style='font-size: 12px; margin-top: 6px; line-height: 12px;'>
					Para navegar melhor no BSDApps, por favor, utilize um dos navegadores ao lado.
				</div>
			</div>
			<div style='width: 75px; float: left;'>
				<a href='http://pt-br.www.mozilla.com/pt-BR/' target='_blank'>
					<img src='<?php echo Yii::app()->request->baseUrl; ?>/images/ie6nomore-firefox.jpg' style='border: none;' alt='Get Firefox 3.5'/>
				</a>
			</div>
			<div style='width: 73px; float: left;'>
				<a href='http://www.google.com/chrome?hl=pt-BR' target='_blank'>
					<img src='<?php echo Yii::app()->request->baseUrl; ?>/images/ie6nomore-chrome.jpg' style='border: none;' alt='Get Google Chrome'/>
				</a>
			</div>
			<div style='float: left;'>
				<a href='http://www.apple.com/br/safari/download/' target='_blank'>
					<img src='<?php echo Yii::app()->request->baseUrl; ?>/images/ie6nomore-safari.jpg' style='border: none;' alt='Get Safari 4'/>
				</a>
			</div>
		</div>
	</div>
<![endif]-->
<body>

<div class="container" id="page">

	<div id="header">
		<div id="logo">
			<img src="<?php echo Yii::app()->request->baseUrl; ?>/images/header_text.png" alt="Relatório do ThunderCache4"/>
		</div>
	</div><!-- header -->

	<div id="mainmenu">
		<?php $this->widget('zii.widgets.CMenu',array(
			'items'=>array(
				array('label'=>'Estatísticas', 'url'=>array('/estatisticas'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Domínios', 'url'=>array('/domain'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Arquivos', 'url'=>array('/file'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Extensões', 'url'=>array('/extension'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Ip\'s', 'url'=>array('/ip'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Resumo', 'url'=>array('/resumo'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Runtime', 'url'=>array('/runtime/thundercache'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Usuários', 'url'=>array('/user'), 'visible'=>!Yii::app()->user->isGuest),
				array('label'=>'Sobre', 'url'=>array('/site/index')),
				array('label'=>'Login', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
				array('label'=>'Logout ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest)
			),
		)); ?>
	</div><!-- mainmenu -->

	<?php $this->widget('zii.widgets.CBreadcrumbs', array(
		'homeLink'=>CHTML::link(Yii::app()->name,Yii::app()->getHomeUrl()),
		'links'=>$this->breadcrumbs,
	));?><!-- breadcrumbs -->

	<?php echo $content; ?>

	<div id="footer">
		<a  href="http://www.bmsoftware.org/" target="_blank"><img style="float:left;" src="<?php echo Yii::app()->request->baseUrl; ?>/images/logobm.png" /></a>
		<a  href="http://www.freebsdbrasil.com.br/" target="_blank"><img style="float:right;" src="<?php echo Yii::app()->request->baseUrl; ?>/images/capeta_piscando_clean_min.png" /></a>
		Thunder Snarf v1.3 é livre sob <?php echo CHtml::link("Licença GNU/GPL v2.0",array('/site/index'));?><br/>
		Powered by Thunder Cache Professional<br/>
		©2010 - <a href="http://www.freebsdbrasil.com.br/" target="_blank">FreeBSD Brasil LTDA</a>
		<br/>
	</div><!-- footer -->

</div><!-- page -->

</body>
</html>